package capitulo01.bloque01;

import javax.swing.*;

public class Ejercicio6 {
    /*
     *  Realiza un ejercicio en C para el cálculo de la cuota mensual de una hipóteca.
     *  */
    public static void main(String[] args) {
        float floatEuribor = Float.parseFloat(JOptionPane.showInputDialog("Introduzca los datos del Euribor"));
        float floatDiferencial = Float.parseFloat(JOptionPane.showInputDialog("Introduzca los datos del Diferencial"));
        float floatCapital = Float.parseFloat(JOptionPane.showInputDialog("Introduzca los datos del Capital"));
        int floatPlazos = Integer.parseInt(JOptionPane.showInputDialog("Introduzca el número de plazos mensuales para pagar la hipoteca"));

        float interesAnual = floatEuribor + floatDiferencial;
        float lm = interesAnual / 12 / 100;
        double cuotaMensual = floatCapital * ((lm * Math.pow((1 + lm), floatPlazos)) / (Math.pow((1 + lm), floatPlazos) - 1));
        System.out.println("El importe de cada cuota mensual es: " + cuotaMensual);

    }
}

